package com.lazy.emulate.emulation

import android.view.Surface

object NativeLibretro {

    init {
        System.loadLibrary("emulate_native")
    }

    external fun nativeLoadCore(corePath: String): Boolean
    external fun nativeLoadGame(romPath: String): Boolean
    external fun nativeStart()
    external fun nativePause()
    external fun nativeResume()
    external fun nativeStop()
    external fun nativeReset()
    external fun nativeSetSurface(surface: Surface)
    external fun nativeReleaseSurface()
    external fun nativeSetButtonState(state: Int)
    external fun nativeSetAnalogState(stick: Int, x: Short, y: Short)
    external fun nativeSaveState(path: String): Boolean
    external fun nativeLoadState(path: String): Boolean
    external fun nativeSetAudioEnabled(enabled: Boolean)
    external fun nativeSetFrameSkip(skip: Int)
    external fun nativeSetDisplayMode(mode: Int)
    external fun nativeSetSystemDir(dir: String)
    external fun nativeSetSaveDir(dir: String)
    external fun nativeSetControllerPortDevice(port: Int, device: Int)
    external fun nativeSetPendingControllerDevice(device: Int)
    external fun nativeSetCoreOption(key: String, value: String)
}
